Create a window to modify parameters

Hi,

I would like to know if it could be possible to create a sort of Userform in Revit with PyRevit.
I’ve make an example to show what I would like to do :
Create a button that would show a project parameter and be able to modify it.

It’s the simpliest Userform to create on Excel but I’ve really no idea if it’s possible with Pyrevit ?

Thanks and have a great day

It shouldn’t be too hard to create something like this in pyrevit.
I’d create a xaml form for this. Here’s somewhere to start learning about this:
GUI Basics: What is XAML - YouTube
You can also check out the xaml that pyrevit itself uses to get a feel for it.
pyRevit/pyrevitlib/pyrevit/forms at master · eirannejad/pyRevit · GitHub